ActiveSync - IOS 12
Problem reported by kyle beckham - September 27 at 3:51 AM
Resolved
We are running smartermail v15 and last night a few of us upgrade our iPhone 8's to ios 12. Once that upgrade on the phones completed, all of our exchange activesync accounts are failing to connect to the server.

Anyone else seen this issue?  Nothing in the activeSync error logs, we can see from the logs that once we updated the phones we all stopped having access to smartermail.

13 Replies

Reply to Thread
0
Fabrizio Carta Replied
Same here but with Smarter Mail 16.x .
i tried to remove and recreate the voice in the "active sync" section, but nothing happened.

1
Andrea Rogers Replied
Employee Post
Hi guys,

I'm sorry you're having trouble with iOS 12 and ActiveSync. We believe this issue has to do with iOS strictly validating XML responses against the ActiveSync schemas. Several of our responses had elements out-of-order according to the schema, which didn't seem to cause a problem in the past. We are working to modify those schemas and hope to have a fix for this issue in the next SmarterMail 16.x release.

Andrea Rogers
Communications Specialist
SmarterTools Inc.
(877) 357-6278

www.smartertools.com

2
TOAST.net Support Replied
Kyle said he's running v15. Any plans to fix that version?  Thanks.
1
Robert Emmett Replied
Employee Post
The next release of SM15 will also have the provisioning and autodiscover changes that iOS 12 requires.  It seems that iOS 12 is strictly adhering to XML schema for Provisioning and Autodiscover responses from the server.  We found after a code review that some of the XML elements in the responses were out of sequence.
Robert Emmett
Software Developer
SmarterTools Inc.
(877) 357-6278
www.smartertools.com
0
Andrea Rogers Replied
Employee Post Marked As Resolution
Hello all,

This issue has been addressed in SmarterMail 16.3.6855 and 15.7.6855. "Fixed: ActiveSync device provisioning and Autodiscover responses do not conform to XML schemas, causing ActiveSync connections to fail on iOS 12."  You can review the rest of the release notes and download the latest version here: https://www.smartertools.com/smartermail/downloads.

Thank you for your patience while we resolved this issue.

Andrea Rogers
Communications Specialist
SmarterTools Inc.
(877) 357-6278

www.smartertools.com

1
kyle beckham Replied
I upgraded to 15.7.6855 just now and I am still getting the same issue as before. Adding new account just gives the error: unable to verify account information.   Toast are you seeing the same issue still once you upgrade?
1
Bryant Robinson Replied
I just updated as well, 15.x and I'm getting the same error as before that it's unable to verify the account info.
0
Paul Blank Replied
Would like update on this, please.
0
Andrea Rogers Replied
Employee Post
Thanks for your replies. I've let the development team know that the issue has persisted an upgrade to 15.7.6855. I'll let you know any updates I hear. 

Andrea Rogers
Communications Specialist
SmarterTools Inc.
(877) 357-6278

www.smartertools.com

0
TOAST.net Support Replied
We're still running the older v15 and haven't upgraded yet because we're not experiencing any issues with EAS and iOS12.  Not sure why it's working for us.
0
Andrea Rogers Replied
Employee Post
Hey TOAST.net, 

I'm not sure either... I've successfully added and synced 15.x, 16.x and 17.x accounts on my iPhone that's running 12.0 (16A366). However, there are a few users reporting the issue, so we'll continue looking into it. 

Andrea Rogers
Communications Specialist
SmarterTools Inc.
(877) 357-6278

www.smartertools.com

0
kyle beckham Replied
I do find it funny that we do not see anything in the activeSync logs regarding logins nothing. The logfile is completely empty.   

We are manually configuring the exchange account on the phone and do not use ssl.  Maybe that will help.
0
Andrea Rogers Replied
Employee Post
Hey Kyle,

Thanks for the extra details. It does seem to be related to SSL... I had an older 16.x install (that's not secured with HTTPS), and I got the same error when configuring the Exchange account manually. I then upgraded to 16.3.6855 and I was able to connect my account using the same settings I had previously entered. I'm not sure why 15.x isn't fixed... As far as I was aware, they were both impacted by the same issue. I'll forward this information to the development team though for their review.  

Andrea Rogers
Communications Specialist
SmarterTools Inc.
(877) 357-6278

www.smartertools.com

Reply to Thread